org.jfree.data

## Class KeyedValueComparatorType

- java.lang.Object
- - org.jfree.data.KeyedValueComparatorType

    public final class KeyedValueComparatorType
    extends java.lang.Object

Used to indicate the type of a `KeyedValueComparator` : 'by key' or 'by value'.

### Field Summary

Fields
`static KeyedValueComparatorType` `BY_KEY` An object representing 'by key' sorting.
`static KeyedValueComparatorType` `BY_VALUE` An object representing 'by value' sorting.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BY_KEY

    public static final KeyedValueComparatorType BY_KEY

An object representing 'by key' sorting.

#### BY_VALUE

    public static final KeyedValueComparatorType BY_VALUE

An object representing 'by value' sorting.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object o)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.